---
title: HTMLLegendElement
slug: Web/API/HTMLLegendElement
tags:
  - API
  - HTML DOM
  - Interface
  - NeedsNewLayout
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <strong><code>HTMLLegendElement</code></strong> is an interface allowing to access properties of the {{HTMLElement("legend")}} elements. It inherits properties and methods from the {{domxref("HTMLElement")}} interface.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLLegendElement.form")}} {{readonlyInline}}</dt>
 <dd>Is a {{domxref("HTMLFormElement")}} representing the form that this legend belongs to. If the legend has a fieldset element as its parent, then this attribute returns the same value as the <strong>form</strong> attribute on the parent fieldset element. Otherwise, it returns null. </dd>

 <dt>{{domxref("HTMLLegendElement.accessKey")}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing a single-character access key to give access to the element.</dd>

 <dt>{{domxref("HTMLLegendElement.align")}} {{obsolete_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} representing the alignment relative to the form set</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#htmllegendelement", "HTMLLegendElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', "forms.html#the-legend-element", "HTMLLegendElement")}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "forms.html#the-legend-element", "HTMLLegendElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>The property <code>accessKey</code> is now defined on {{domxref("HTMLElement")}}.<br>
    The following property is now obsolete: <code>align</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-21482039', 'HTMLLegendElement')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-21482039', 'HTMLLegendElement')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLLegendElement")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{HTMLElement("legend")}}</li>
</ul>
